## calibre 8.10.0+ds

=== debian/changelog ===
calibre (8.10.0+ds-3) unstable; urgency=medium

  * Typo fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 06 Sep 2025 01:27:31 +0900

calibre (8.10.0+ds-2) unstable; urgency=medium

  * Disable fragile test for arm64
  * Enable Qt test for i386 and armhf
  * Disable Salsa CI for arm64
    arm64 runner is now offline.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 05 Sep 2025 19:30:15 +0900

calibre (8.10.0+ds-1) unstable; urgency=medium

  * Forward a patch to upstream
  * New upstream version 8.10.0+ds
  * Rediff patches.
    Drop 0079-Drop-unused-exec-permission-for-log-files.patch:
      applied by upstream
  * Update copright years.
    Take years from upstream COPYRIGHT file.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 05 Sep 2025 12:28:24 +0900
