=== debian/watch ===
# -*- mode: conf -*-
Version: 5

Source: https://api.github.com/repos/kovidgoyal/@PACKAGE@/releases
Matching-Pattern: https://github.com/kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz
Pgp-Mode: next
Search-Mode: plain
Dversion-Mangle: s/\+ds//
Oversion-Mangle: s/$/+ds/

Source: https://calibre-ebook.com/signatures/
Matching-Pattern: @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig
Pgp-Mode: previous
Version-Schema: previous
