=== debian/control ===
--- 
+++ 
@@ -22,20 +22,22 @@
     libhunspell-dev,
     libhyphen-dev,
     libicu-dev,
+    libjpeg-dev,
     libjpeg-turbo-progs,
     libjxr-tools,
     libmtdev-dev [linux-any],
     libmtp-dev,
     libonnxruntime-dev,
-    libpodofo-dev,
     libqt6webenginecore6-bin,
     librsvg2-bin,
     libsqlite3-dev,
     libssl-dev,
     libstemmer-dev,
+    libtiff-dev,
     libuchardet-dev,
     libudev-dev [linux-any],
     libusb-1.0-0-dev,
+    libxml2-dev,
     optipng,
     poppler-utils,
     pyqt6-dev,
