=== debian/watch ===
# -*- mode: conf -*-
Version: 5
Version-Schema: group

Template: Github
Owner: kovidgoyal
Project: calibre
Source: https://api.github.com/repos/kovidgoyal/@PACKAGE@/releases
Matching-Pattern: https://github.com/kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz
Pgp-Mode: next
Dversion-Mangle: s/\+ds//
Oversion-Mangle: s/$/+ds/

Source: https://calibre-ebook.com/signatures/
Matching-Pattern: @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig
Pgp-Mode: previous
Version-Schema: previous

Component: podofo
Template: Github
Owner: podofo
Project: podofo
Source: https://api.github.com/repos/podofo/podofo/git/matching-refs/tags/0.10
