## calibre 8.11.1+ds+~0.10.5

=== debian/changelog ===
calibre (8.11.1+ds+~0.10.5-3) unstable; urgency=medium

  * Drop failed test for arm64
  * Typo fix in debian/copyright

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 28 Sep 2025 11:57:27 +0900

calibre (8.11.1+ds+~0.10.5-2) unstable; urgency=medium

  * Revert "Disable autopkgtest for i386"
    "onnxruntime" is now works on i386 since onnxruntime 1.21.0+dfsg-2 .

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Sep 2025 21:27:17 +0900

calibre (8.11.1+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 8.11.1+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Sep 2025 16:14:36 +0900
