=== debian/changelog ===
calibre (8.12.0+ds+~0.10.5-1) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch
    dpkg-dev-el provides debian-rfc822-watch-mode.
  * New upstream version 8.12.0+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 02 Oct 2025 17:38:58 +0900
