=== test/ContentParser/CMakeLists.txt ===

ADD_EXECUTABLE(ContentParser main.cpp)
TARGET_LINK_LIBRARIES(ContentParser ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(ContentParser PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(ContentParser ${PODOFO_DEPEND_TARGET})
