=== test/TokenizerTest/CMakeLists.txt ===
ADD_EXECUTABLE(TokenizerTest TokenizerTest.cpp)
TARGET_LINK_LIBRARIES(TokenizerTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(TokenizerTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(TokenizerTest ${PODOFO_DEPEND_TARGET})
