=== test/VariantTest/CMakeLists.txt ===
ADD_EXECUTABLE(VariantTest VariantTest.cpp)
TARGET_LINK_LIBRARIES(VariantTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(VariantTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(VariantTest ${PODOFO_DEPEND_TARGET})
