=== debian/changelog ===
calibre (8.13.0+ds+~0.10.5-3) unstable; urgency=medium

  * Limit build architecture
    qt6-webengine is available on some limited architecture such as:
    amd64, arm64, armhf, i386.
  * Rules-Requires-Root is "no" by default since dpkg 1.22.13

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 21 Oct 2025 19:21:09 +0900

calibre (8.13.0+ds+~0.10.5-2) unstable; urgency=medium

  * Network test is unstable in reproducible-builder environment

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 21 Oct 2025 11:08:50 +0900

calibre (8.13.0+ds+~0.10.5-1) unstable; urgency=medium

  * Add upstream version mangle to PoDoFo section
    for release-candidate versions
  * New upstream version 8.13.0+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 17 Oct 2025 19:42:39 +0900
