=== debian/control ===
--- 
+++ 
@@ -99,7 +99,6 @@
 Vcs-Browser: https://github.com/debian-calibre/calibre
 Vcs-Git: https://github.com/debian-calibre/calibre.git
 Homepage: https://calibre-ebook.com
-Rules-Requires-Root: no
 
 Package: calibre
 Architecture: all
@@ -184,7 +183,7 @@
  formats.
 
 Package: calibre-bin
-Architecture: any
+Architecture: amd64 arm64 armhf i386
 Depends:
     ${shlibs:Depends},
     ${misc:Depends}
