=== debian/watch ===
--- 
+++ 
@@ -20,3 +20,4 @@
 Owner: podofo
 Project: podofo
 Source: https://api.github.com/repos/podofo/podofo/git/matching-refs/tags/0.10
+Uversion-Mangle: s/-(rc|a|b|c)/~$1/
