## calibre 8.14.0+ds+~0.10.5

=== examples/CMakeLists.txt ===
add_subdirectory(helloworld)
add_subdirectory(helloworld-base14)
