=== test/LargeTest/CMakeLists.txt ===
IF(WANT_FONTCONFIG)
# We don't build LargeTest on win32 since it depends on
# fontconfig to operate
ADD_EXECUTABLE(LargeTest LargeTest.cpp)
TARGET_LINK_LIBRARIES(LargeTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(LargeTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(LargeTest ${PODOFO_DEPEND_TARGET})
ENDIF(WANT_FONTCONFIG)
