=== debian/changelog ===
calibre (8.14.0+ds+~0.10.5-1) unstable; urgency=medium

  * Revert "Limit build architecture"
  * New upstream version 8.14.0+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 08 Nov 2025 00:03:17 +0900
