=== debian/control ===
--- 
+++ 
@@ -183,7 +183,7 @@
  formats.
 
 Package: calibre-bin
-Architecture: amd64 arm64 armhf i386
+Architecture: any
 Depends:
     ${shlibs:Depends},
     ${misc:Depends}
