## calibre 8.15.0+ds+~0.10.5

=== debian/changelog ===
calibre (8.15.0+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 8.15.0+ds+~0.10.5
  * Rediff patches.
    Drop 0009-Use-stdint.h-to-support-MIPS64.patch: Upstream code dropped
  * Renumber patches
  * Enable test: fts_pool
  * Disable fragile test while CI build

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 21 Nov 2025 21:14:32 +0900
